Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Interface IPrivilegedChannel

All Superinterfaces:
  IChannel, IPrivileged

All Known Implementing Classes:
  BaseState, BaseState, CError, CError, CLogin, CSecureInfo, CSnoop, CUserPreferences, CUserPreferences, GPreferencesState, GPreferencesState, GPreferencesState.GBrowseState, GPreferencesState.GBrowseState, GPreferencesState.GEditLayoutItemState, GPreferencesState.GEditLayoutItemState, GPreferencesState.GGlobalPrefsState, GPreferencesState.GGlobalPrefsState, GPreferencesState.GMoveToState, GPreferencesState.GMoveToState, ManageProfilesState, ManageProfilesState, ManageProfilesState.CEditProfile, ManageProfilesState.CEditProfile, MultithreadedPrivilegedCacheableChannelAdapter, MultithreadedPrivilegedCacheableCharacterChannelAdapter, MultithreadedPrivilegedCacheableDirectResponseCharacterChannelAdapter, MultithreadedPrivilegedCacheableMimeResponseChannelAdapter, MultithreadedPrivilegedCacheableMimeResponseCharacterChannelAdapter, MultithreadedPrivilegedChannelAdapter, MultithreadedPrivilegedCharacterChannelAdapter, MultithreadedPrivilegedMimeResponseChannelAdapter, MultithreadedPrivilegedMimeResponseCharacterChannelAdapter, TabColumnPrefsState, TabColumnPrefsState, TabColumnPrefsState.DefaultState, TabColumnPrefsState.DefaultState, TabColumnPrefsState.NewChannelState, TabColumnPrefsState.NewChannelState, TabColumnPrefsState.ParametersState, TabColumnPrefsState.ParametersState, TabColumnPrefsState.ResetLayoutState, TabColumnPrefsState.ResetLayoutState, TabColumnPrefsState.SelectSkinsState, TabColumnPrefsState.SelectSkinsState

    public interface IPrivilegedChannel

extends IChannel, IPrivileged

Channels implementing this interface are considered "privileged" because they will have access to internal portal control structures such as the HttpServletRequest, HttpServletReponse, and UserPreferencesManager. IPrivilegedChannel is intended for channels that are integral to the framework such as those that manage user preferences, channel publishing, and channel subscription. IPrivilegedChannel is NOT intended for "normal" channels. Channels should normally implement `IChannel`. Portal administrators should only allow publishing/subscibing of channels implementing IPrivilegedChannel if the following are true:

- The channel is an integral part of the uPortal framework, e.g. `CLogin`.
- The channel is well-understood and will not cause harm. An understanding of the portal architecture is necessary to determine if this is true.
- There is no way to implement the channel as an IChannel because access to internal structures is absolutely necessary.

Version:
  $Revision: 1.5 $
Author:
  Peter Kharchenko, pkharchenko@interactivebusiness.com
See Also:
  `IChannel`, `PortalControlStructures`

Method Summary

Methods inherited from interface org.jasig.portal.IChannel
`getRuntimeProperties, receiveEvent, renderXML, setRuntimeData, setStaticData`

Methods inherited from interface org.jasig.portal.IPrivileged
`setPortalControlStructures`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD